com.pixelmed.dose

## Interface RadiationDoseStructuredReportFactory

All Known Implementing Classes:
  CTDose

    public interface RadiationDoseStructuredReportFactory

### Method Summary

Methods
`RadiationDoseStructuredReport` `makeRadiationDoseStructuredReportInstance(AttributeList list)`
`RadiationDoseStructuredReport` `makeRadiationDoseStructuredReportInstance(StructuredReport sr)`
`RadiationDoseStructuredReport` `makeRadiationDoseStructuredReportInstance(StructuredReport sr, AttributeList list)`

### Method Detail

#### makeRadiationDoseStructuredReportInstance

    RadiationDoseStructuredReport makeRadiationDoseStructuredReportInstance(StructuredReport sr)
                                                                            throws DicomException

Throws:
  `DicomException`

#### makeRadiationDoseStructuredReportInstance

    RadiationDoseStructuredReport makeRadiationDoseStructuredReportInstance(StructuredReport sr,
                                                                          AttributeList list)
                                                                            throws DicomException

Throws:
  `DicomException`

#### makeRadiationDoseStructuredReportInstance

    RadiationDoseStructuredReport makeRadiationDoseStructuredReportInstance(AttributeList list)
                                                                            throws DicomException

Throws:
  `DicomException`